Bug 139534 - Usb key is mounted but does not appear in the Computer folder
Usb key is mounted but does not appear in the Computer folder
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
: 139885 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 11:28 EST by Luca Bruera
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 10:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luca Bruera 2004-11-16 11:28:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
When I plug a usb key it is correctly mounted in /media, a nautilus
window is opened on /media/usbdisk but no icon appears in the Compure
folder or on the desktop. Strangely, if I click on another icon in the
Computer folder (e.g. Floppy or CDROM), the icon for the usbdisk appears.


Version-Release number of selected component (if applicable):
hal-0.4.0-10

How reproducible:
Always

Steps to Reproduce:
1.Plug a usb key (-> no new icon in Computer)
2.Click on an existing icon (e.g. CD icon)
3.The new icon appears
    

Actual Results:  The device is mounted but no new icon appears. The
new icon appears after clicking on an existing item in "Computer"

Expected Results:  The usbdisk icon appears as soon as the device is
plugged

Additional info:

dmesg:
usb 2-2: new full speed USB device using address 4
scsi4 : SCSI emulation for USB Mass Storage devices
  Vendor: BENQ      Model: JoyBee120         Rev: 0100
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdb: 510144 512-byte hdwr sectors (261 MB)
sdb: Write Protect is off
sdb: Mode Sense: 03 00 00 00
sdb: assuming drive cache: write through
 sdb: sdb1
Attached scsi removable disk sdb at scsi4, channel 0, id 0, lun 0
USB Mass Storage device found at 4
SELinux: initialized (dev sdb1, type vfat), uses genfs_contexts
Comment 1 David Zeuthen 2004-11-16 11:31:18 EST
This looks like gnome-vfs isn't picking up the change. Reassigning to
that component.
Comment 2 John (J5) Palmieri 2004-12-06 13:38:15 EST
*** Bug 139885 has been marked as a duplicate of this bug. ***
Comment 3 Jens Lautenbacher 2005-05-30 18:43:30 EDT
This is not fixed for FC 4 Test 3 and all updates applied from rawhide as of
2005-05-05.

It seems to depend on the device plugged in: my Firewire Ipod get's the icon
added to the desktop, my USB Ipod shuffle does not, and my USB SD Card Reader
doesn't either. 

Funny enough, both of these USB devices can't be ejected (they can be unmounted,
but not ejected), too - not that I know if this has anything to do with this
problem here.
Comment 4 Matthew Miller 2006-07-10 17:37:46 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Alexander Larsson 2006-09-01 10:51:12 EDT
Removable volume handling has gone through a lot of changes since this. If you
still have problems in FC5/FC6, open a new bug with the exact problems.

Note You need to log in before you can comment on or make changes to this bug.